package pijcke.net.kotlin.example.`point-generator`.generator

import pijcke.net.kotlin.example.`point-generator`.Point

interface Generator {

    fun generate(x : Double) : Double

    fun generatePoints(xMin : Double, xMax : Double, count : Int): List<Point> {
        return List(count) {
            val x = xMin + it * (xMax - xMin) / (count - 1)
            Point(x, generate(x))
        }
    }

}