package pijcke.net.kotlin.example.`point-generator`.exporter

import pijcke.net.kotlin.example.`point-generator`.Point

class GnuplotExporter : Exporter {

    override fun export(point: Point): String {
        return "${point.x}, ${point.y}"
    }

    override fun export(points: List<Point>): String {
        return points.joinToString("\n") { export(it) }
    }

}
