package pijcke.net.kotlin.example.`point-generator`.generator

import java.util.Random

class GaussianNoiseGenerator(private val generator: Generator, private val stddev: Double) : Generator {

    private val random = Random()

    override fun generate(x: Double): Double {
        return generator.generate(x) + random.nextGaussian(0.0, stddev)
    }

}