package pijcke.net.kotlin.example.`point-generator`.generator

import kotlin.math.sin
import kotlin.math.PI

class SineGenerator(
    private val amplitude: Double, private val verticalShift: Double,
    private val period: Double, private val phaseShift: Double
) : Generator {

    override fun generate(x : Double) =
        amplitude * sin(x / period * 2 * PI + phaseShift) + verticalShift
    
}
